Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5751 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5751 indexed agents, 4819 currently healthy.

Agents indexed
5751 agents
4955 domains
public agent cards · +427 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Exchange” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“BlindOracle” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

  • Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.

“DexL Agents” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.

  • Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.

  • Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.

“exascale.build” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • US ISO interconnection queues and cited energy data over MCP and REST. 25 free queries, then $49/mo or $490/yr (https://exascale.build/pro). Verified and source-cited. Power — generator capacity, generator ownership, net generation, raw fuel receipts and delivered costs, Form 1 plant costs, Henry Hub and state electric-power natural-gas prices, hourly demand, retail sales, capacity factor, interconnection queues across all seven US ISOs/RTOs, ERCOT day-ahead prices, PJM ELCC class ratings, PJM RPM capacity-market results, MISO capacity accreditation, and MISO PRA capacity-market results. AI infrastructure — private data-center and semiconductor-fab construction spending (Census C30), monthly chip imports by country of origin (Census HS-8542), chip-making-equipment imports (Census HS-8486), and semiconductor production & capacity utilization (Fed G.17). Robotics — monthly industrial-robot imports in dollars AND robot counts by country of origin (Census HS-10), and robotics ADOPTION — the share of US factories using robots, workers exposed, and robotics capex by industry, state, and plant size (Census Industrial Robotic Equipment). Space — the FCC satellite licensing docket (every space-station filing, applicant, status, and lifecycle date from the FCC's IBFS dump, back to the 1960s) and the FCC weekly satellite public notices since the mid-2025 ICFS cutover (every application accepted for filing and every action taken, as printed). Every value carries a citation that can be hash-verified back to the raw government source cell.

  • US ISO interconnection queues and cited energy data. 25 free queries, then $49/mo or $490/yr.

  • exascale.build serves source-cited US energy data to AI agents over MCP and REST. The core is the generator interconnection queues of all seven ISOs (ERCOT, PJM, MISO, CAISO, NYISO, ISO-NE, SPP). Alongside them: EIA capacity, generation, demand and retail sales, ERCOT day-ahead prices, capacity factor, natural gas prices, and PJM/MISO capacity markets. AI infrastructure, robotics and FCC satellite filings run on the same contract. Every value returns its source, as_of date and source_url. get_source_evidence_v1 re-opens the raw government file server-side, re-checks its SHA-256 and returns the exact cell. 25 free queries with no key, then a paid key.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK finanzwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Lead Stampede” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

  • Discover small and mid-sized businesses (SMBs) through AI agents. Lead Stampede is a public directory of AI-ready businesses — search by name, city, or business type and get full Agent Cards with services, hours, contact info, reviews, and booking links. Built for AI-powered agentic search: the new way customers find local service providers, law firms, dealerships, med spas, dental, real estate, and home services. Read-only public tools: search_clients, get_client, list_business_types, list_cities.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MAD Synapse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ManyLives” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MeshMarket” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

  • The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“patternfetch” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-first market-state API: ticker + timeframe -> token-compact brief (compact candles, chart/candlestick patterns with backtested base rates, support/resistance, regime, interpreted indicators, historical analogs) plus a ranked cross-market scanner. US stocks/ETFs and crypto spot.

  • # patternfetch **One API/MCP call turns a crypto ticker + timeframe into a token-compact market-state brief** — so an LLM trading agent never has to dump raw OHLCV into its context. Instead of hundreds of raw candles you get: compact candles + a SAX shape signature, detected chart/candlestick patterns (double top/bottom, head & shoulders, engulfing, hammer, doji), support/resistance clusters, a regime label, and interpreted indicators (RSI / EMA / ATR) + a one-line summary. Crypto-first. Impersonal and non-directive — data, never buy/sell advice. ## Endpoints - POST /v1/brief ($0.01) — full market-state brief - POST /v1/delta ($0.008, $0.001 if unchanged) — only what changed since your last brief - POST /v1/candles ($0.005) — compact candle codec only - POST /v1/analogs ($0.05) — historical outcome distribution (n, win-rate, median, min, max) - POST /v1/keys (free) — self-serve API key + $0.05 credit ## MCP config { "mcpServers": { "patternfetch": { "url": "https://patternfetch.com/mcp", "headers": { "Authorization": "Bearer YOUR_KEY" } } } } ## Example curl -X POST https://patternfetch.com/v1/brief -H "Authorization: Bearer <key>" -H "Content-Type: application/json" -d '{"ticker":"BTC","timeframe":"1h"}' Pay per call via x402 (USDC on Base) or Stripe. https://patternfetch.com — not investment advice.

“PHION Agent Trust Infrastructure” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Rooster Agents” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew…

  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew Smart) reads and can act on in the physical world. No account, key or payment is needed to talk to the human.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“SuperMCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“TRDEFI Liquidity” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“UnlockBot Onchain Intel (x402)” is shared by 87 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

“Valoria” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • # Valoria **Make money with x402.** See what's earning, find profitable gaps, analyze any service, and price your API right — backed by real on-chain payment data. ## What it does Valoria is the Bloomberg Terminal for the x402 economy. We index every x402 service, MCP tool, and on-chain payment across Base and Solana — and show you exactly where the money is going. - **90,000+ services indexed** across x402 Bazaar, MCP Registry, and x402scan - **$46M+ in tracked on-chain volume** from 30+ facilitators - **28 categories** scored and ranked by real revenue ## Tools - **`search_services`** (Free) — Browse services by category or keyword - **`market_pulse`** ($1) — Top earners, hottest categories, total volume, key insight - **`analyze_service`** ($2) — Deep dive on any service — competitors, revenue, ranking - **`suggest_pricing`** ($3) — What should you charge? Data-driven pricing recommendation - **`find_opportunities`** ($5) — Find profitable gaps and underserved niches - **`market_overview`** ($10) — Full market report — revenue concentration, trends, top earners ## How to pay All paid tools use the x402 protocol. Pay with USDC on Base — no API keys, no accounts, no subscriptions. ## Who it's for AI agents and developers building or monetizing x402 services. If you want to know what's earning in the agent economy before you build — start here.

  • x402 market intelligence powered by $148M+ in tracked on-chain payments across 100K+ services. Know what to build, what to charge, and who you're up against in the agent economy.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

“x402engine” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.

  • Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.

  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C8.4 ⚡ agent-pays · x402 19 skills
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

    E1.8 🔓 open JSONRPC 21 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    B9.4 🔓 open JSONRPC 44 skills
  • Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.

    B9.5 🔓 open 17 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+9.0 🔓 open 84 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.3 🔓 open 229 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.5 🔓 open 35 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.2 🔓 open 51 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 226 skills
  • HALOWERK medwerk
    ● healthy

    HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 15 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 18 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 248 skills
  • HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 12 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    B9.3 🔓 open 29 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Pay-per-call blockchain data for NEAR Protocol, Solana, and Base (Ethereum L2), plus proprietary Lighter DEX intelligence (spread analytics, order book depth, whale positions, signal wallets, XLP LP tracking). Returns account balances, token holdings, validators, staking positions, transactions, DeFi pools, and unique market microstructure data. All endpoints accept x402 USDC micropayments on Solana or Base — no API keys, no signup.

    B9.4 🔓 open 19 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.

    C8.2 🔓 open 25 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.4 ⚡ agent-pays · x402 22 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    A9.8 🔑 human key JSONRPC 207 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    C+8.7 🔓 open 24 skills
  • RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.

    B+9.7 🔓 open 20 skills
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

    B9.3 🔓 open 4 skills
  • AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.

    ⚠ flagged C+9.1 🔓 open 27 skills
  • Israeli online supermarket pricing for AI agents. Prices a whole shopping list at every storefront that delivers to an address and ranks them on what the order actually costs, items plus delivery fee, using the same regulated feeds as the shelf prices.

    B+9.6 🔓 open 8 skills
  • Evidence-based social content and lead-generation agent for experts, creators, online schools, agencies, and small businesses. Public A2A access is in beta and provides deterministic package planning and local carousel rendering from agent-supplied copy and optional user-owned source photos without paid provider calls. Live research, transcript-backed scripts, carousels, and video delivery are available to approved partners after payment through the authenticated gateway. Client agents: follow https://wayanwarrior.pro/agent-skills/wayan-warrior/SKILL.md to connect, choose a package and pay. Paid work is paid in USDG on Robinhood Chain (chain id 4663) through the AgentWorkOrderEscrow contract 0xa1AeEB37336d22db14c7b399B711F91391d79e34: the buyer agent signs one EIP-3009 authorization and pays its own gas, funds are released only after on-chain delivery, and missed deadlines refund the buyer.

    B9.3 🔑 human key 4 skills
  • Agent-first market-state API: ticker + timeframe -> token-compact brief (compact candles, chart/candlestick patterns with backtested base rates, support/resistance, regime, interpreted indicators, historical analogs) plus a ranked cross-market scanner. US stocks/ETFs and crypto spot.

    C+8.9 🔑 human key streamable-http 5 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

    A10.0 🔑 human key HTTP+JSON 42 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.6 🔓 open JSONRPC 29 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.4 🔓 open JSONRPC 29 skills
  • Read-only agent for a live, non-custodial liquidity catalogue. Ask it for aggregate liquidity statistics, the open maker positions across 20 networks, the live networks, or an on-chain swap quote against a position. No key, and nothing it can do moves a token.

    C+8.9 🔓 open 3 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.4 🔓 open 104 skills
  • DexL Agents
    DexL
    ● healthy

    One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.

    C+8.8 🔓 open JSONRPC 30 skills
  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew Smart) reads and can act on in the physical world. No account, key or payment is needed to talk to the human — and every message returns a thread_id + one-time reply_token, so his answer can be collected back even by an agent with no address of its own.

    A9.8 ⚡ agent-pays · x402 JSONRPC 12 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.5 🔓 open 118 skills
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

    B9.4 🔑 human key JSONRPC 49 skills
  • Research-backed financial education agent covering alternative assets, DeFi, behavioral economics, art investing, ESG & climate finance, and gender lens investing. Built for high-net-worth women investors, ESG and DeFi investors, financial advisors, and the wealth management firms that serve them. Educational content only — not financial advice.

    A10.0 🔑 human key 27 skills
  • Machine-payable data and tools for autonomous agents: crypto pre-trade intelligence, on-chain RPC reads, web research, public-sector opportunity data, AI visibility, prediction markets and DeFi. 85 paid routes are currently available at $0.001-$19.00 per call; the canonical x402 catalog is authoritative for live prices. No API keys or accounts. MCP is available at /mcp, with free samples at /samples.

    B9.4 🔓 open 25 skills
  • Personality intelligence (KYH), communication intelligence (BLAH), buyer intelligence (KYB), and persistent profile storage (Vault) for AI agents. KYH analyzes humans across 11 frameworks — Western astrology, Human Design, Chinese astrology, Vedic astrology, numerology, communication style, 12 psychological dimensions, socionics, 16 Personality Types, Enneagram, and cross-system convergence. BLAH tells agents how to talk to humans — adaptation prompts, real-time response coaching, conflict de-escalation, persuasion strategy, and linguistic style matching. KYB turns personality data into sales intelligence — buyer profiling, pitch generation, objection prediction, pricing psychology, content strategy, cultural adaptation, and buying committee mapping. Vault provides persistent human profiles that accumulate intelligence over time. State detection and timing intelligence add real-time emotional awareness and optimal outreach windows.

    B9.5 🔓 open 45 skills
  • Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.

    B+9.7 🔓 open HTTP+JSON 80 skills
  • Valoria
    Valoria
    ● healthy

    x402 market intelligence powered by $148M+ in tracked on-chain payments across 100K+ services. Know what to build, what to charge, and who you're up against in the agent economy.

    C+8.9 🔓 open 6 skills
  • Commerce intelligence for AI agents. Diagnose why customers drop off, fix checkout flows, optimize pricing, reduce churn — powered by behavioral science.

    B9.3 🔓 open 9 skills
  • Machine-payable data and tools for autonomous agents: crypto pre-trade intelligence, on-chain RPC reads, web research, public-sector opportunity data, AI visibility, prediction markets and DeFi. 85 paid routes are currently available at $0.001-$19.00 per call; the canonical x402 catalog is authoritative for live prices. No API keys or accounts. MCP is available at /mcp, with free samples at /samples.

    C+9.2 🔓 open 25 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B+9.7 🔓 open 132 skills
  • Give your AI agents 125 APIs through one payment-native integration. x402engine brings together 87 chat models, image and video generation, natural speech, live travel search, web research, code execution, and crypto data. Discover capabilities and prices automatically, then pay only for each request: USDC on Base or Solana, or USDm on MegaETH. No subscriptions or provider API keys. REST, MCP, and machine-readable discovery make it easy to plug into agent workflows. Explore the live catalog at https://x402engine.app.

    A9.9 🔓 open 13 skills
  • exascale.build
    ● healthy

    US ISO interconnection queues and cited energy data over MCP and REST. 25 free queries, then $49/mo or $490/yr (https://exascale.build/pro). Verified and source-cited. Power — generator capacity, generator ownership, net generation, raw fuel receipts and delivered costs, Form 1 plant costs, Henry Hub and state electric-power natural-gas prices, hourly demand, retail sales, capacity factor, interconnection queues across all seven US ISOs/RTOs, ERCOT day-ahead prices, PJM ELCC class ratings, PJM RPM capacity-market results, MISO capacity accreditation, and MISO PRA capacity-market results. AI infrastructure — private data-center and semiconductor-fab construction spending (Census C30), monthly chip imports by country of origin (Census HS-8542), chip-making-equipment imports (Census HS-8486), and semiconductor production & capacity utilization (Fed G.17). Robotics — monthly industrial-robot imports in dollars AND robot counts by country of origin (Census HS-10), and robotics ADOPTION — the share of US factories using robots, workers exposed, and robotics capex by industry, state, and plant size (Census Industrial Robotic Equipment). Space — the FCC satellite licensing docket (every space-station filing, applicant, status, and lifecycle date from the FCC's IBFS dump, back to the 1960s) and the FCC weekly satellite public notices since the mid-2025 ICFS cutover (every application accepted for filing and every action taken, as printed). Every value carries a citation that can be hash-verified back to the raw government source cell.

    D6.1 🔓 open
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    C+9.1 🔓 open 23 skills